@echo off

echo # Creating configuration for VIM
echo set termguicolors > %USERPROFILE%\_vimrc
echo :set formatoptions^=tcqrn1 >> %USERPROFILE%\_vimrc
echo :set tabstop^=2 >> %USERPROFILE%\_vimrc
echo :set shiftwidth^=2 >> %USERPROFILE%\_vimrc
echo :set softtabstop^=2 >> %USERPROFILE%\_vimrc
echo :set expandtab >> %USERPROFILE%\_vimrc
echo :set noshiftround >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Color scheme >> %USERPROFILE%\_vimrc
echo ^":hi clear >> %USERPROFILE%\_vimrc
echo :colorscheme codedark >> %USERPROFILE%\_vimrc
echo ^":colorscheme desert >> %USERPROFILE%\_vimrc
echo ^":set background^=dark >> %USERPROFILE%\_vimrc
echo let g:lightline = { 'colorscheme': 'jellybeans', } >> %USERPROFILE%\_vimrc
echo ^":hi Normal ctermfg^=145 ctermbg^=234 >> %USERPROFILE%\_vimrc
echo ^":hi Normal guifg^=#ABB2BF guibg^=#282C34 gui^=NONE cterm^=NONE >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo let ^&t_ut^='' >> %USERPROFILE%\_vimrc
echo :tab all >> %USERPROFILE%\_vimrc
echo ^" Change fonts for Windows >> %USERPROFILE%\_vimrc
echo :set guifont^=Consolas:h10.5:cANSI >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo if has("gui_macvim") >> %USERPROFILE%\_vimrc
echo     set guifont^=Menlo\ Regular:h14 >> %USERPROFILE%\_vimrc
echo endif >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Hide menu/toolbar of GVIM >> %USERPROFILE%\_vimrc
echo ^":set guioptions -^=m >> %USERPROFILE%\_vimrc
echo :set guioptions -^=T >> %USERPROFILE%\_vimrc
echo :set guioptions -^=r >> %USERPROFILE%\_vimrc
echo :set guioptions -^=L >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Helps force plug-ins to load correctly when it is turned back on below. >> %USERPROFILE%\_vimrc
echo filetype off >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Turn on syntax highlighting. >> %USERPROFILE%\_vimrc
echo syntax on >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" For plug-ins to load correctly. >> %USERPROFILE%\_vimrc
echo filetype plugin indent on >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Set status line display >> %USERPROFILE%\_vimrc
echo set statusline^=%%F%%%^%m%%%^%r%%%^%h%%%^%w%^%^\ ^[%^%%%{^&ff}]\ [filetype^=%%Y%^%]\ [%%l%^%,%%v%^%][%%p%%%%]\ [%^%%%{strftime('%%F%^%')}\ %^%%%{strftime('%%T%^%')}] >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Encoding >> %USERPROFILE%\_vimrc
echo set encoding=utf-8 >> %USERPROFILE%\_vimrc
echo set wildmenu >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Fixes common backspace problems >> %USERPROFILE%\_vimrc
echo set backspace^=indent,eol,start >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Status bar >> %USERPROFILE%\_vimrc
echo set laststatus=2 >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" Display options >> %USERPROFILE%\_vimrc
echo :set showmode >> %USERPROFILE%\_vimrc
echo :set showcmd >> %USERPROFILE%\_vimrc
echo. >> %USERPROFILE%\_vimrc
echo ^" File explorer >> %USERPROFILE%\_vimrc
echo nnoremap ^<leader^>n :Explore^<CR^> >> %USERPROFILE%\_vimrc
echo nnoremap ^<C-n^> :Lexplore^<CR^> >> %USERPROFILE%\_vimrc
echo nnoremap ^<C-t^> :Vexplore^<CR^> >> %USERPROFILE%\_vimrc
echo nnoremap ^<C-f^> :Texplore^<CR^> >> %USERPROFILE%\_vimrc
echo # Created %USERPROFILE%\_vimrc
echo.

rem # Copy DarkPlus theme 
mkdir %USERPROFILE%\vimfiles
mkdir %USERPROFILE%\vimfiles\colors
mkdir %USERPROFILE%\vimfiles\autoload
rmdir /S /Q %USERPROFILE%\vimfiles\plugin
mkdir %USERPROFILE%\vimfiles\plugin
xcopy /Y /E darkplus-vim-theme\colors\* %USERPROFILE%\vimfiles\colors\
xcopy /Y /E darkplus-vim-theme\autoload\* %USERPROFILE%\vimfiles\autoload\
set /p opcion=# Do you want to install the lightline? (Y/n): 
if "%opcion%" == "n" goto :end_vim
if "%opcion%" == "no" goto :end_vim
if "%opcion%" == "NO" goto :end_vim
if "%opcion%" == "N" goto :end_vim
:other_option
xcopy /Y /E vim-lightline-plugin\plugin\* %USERPROFILE%\vimfiles\plugin\
xcopy /Y /E vim-lightline-plugin\autoload\* %USERPROFILE%\vimfiles\autoload\
:end_vim
pause
